%global module_name ibus_cangjie

Name:             ibus-cangjie
Summary:          IBus engine to input Cangjie and Quick
Version:          2.4
Group:            System/Internationalization
Release:          %mkrel 11
License:          GPLv3+
URL:              https://cangjians.github.io/projects/%{name}
Source0:          https://cangjians.github.io/downloads/%{name}/%{name}-%{version}.tar.xz

BuildArch:        noarch

BuildRequires:    desktop-file-utils
BuildRequires:    pkgconfig(ibus-1.0)
BuildRequires:    intltool
BuildRequires:    python3-devel
BuildRequires:    typelib(IBus)

# For the unit tests
BuildRequires:    python3-cangjie >= 1.0
BuildRequires:    python3-gobject3

# ovitters: pkgconfig(gobject-introspection-1.0) includes script to determine typelib() auto buildrequires
BuildRequires:	pkgconfig(gobject-introspection-1.0)

Requires:         python3-cangjie >= 1.0
Requires:         python3-gobject3

%description
IBus engine for users of the Cangjie and Quick input methods.

It is primarily intended to Hong Kong people who want to input Traditional
Chinese, as they are (by far) the majority of Cangjie and Quick users.

However, it should work for others as well (e.g to input Simplified Chinese).


%prep
%setup -q


%build
export PYTHON=%{__python3}
%configure --build=%{_build}
%make_build


%install
%make_install

%find_lang %{name}


%check
#make check

# Upstream doesn't validate their desktop files
desktop-file-validate %{buildroot}/%{_datadir}/applications/ibus-setup-cangjie.desktop
desktop-file-validate %{buildroot}/%{_datadir}/applications/ibus-setup-quick.desktop


%files -f %{name}.lang
%doc AUTHORS COPYING README.md
%{_bindir}/ibus-setup-cangjie
%{python3_sitelib}/%{module_name}
%{_datadir}/applications/ibus-setup-*.desktop
%{_datadir}/%{name}
%{_datadir}/ibus/component/*.xml
%{_datadir}/appdata/*.appdata.xml
%{_datadir}/glib-2.0/schemas/org.cangjians.ibus.*.gschema.xml
%{_datadir}/icons/hicolor/*/intl/*

# Using %%{_prefix}/lib is allowed here because the package is exempt from
# multilib (because it is noarch), see:
#     https://fedoraproject.org/wiki/Packaging:Guidelines#Multilib_Exempt_Locations
%{_prefix}/lib/%{name}


%changelog
* Thu Mar 31 2022 umeabot <umeabot> 2.4-11.mga9
+ Revision: 1836426
- Mageia 9 Mass Rebuild

* Tue Mar 01 2022 mrambo3501 <mrambo3501> 2.4-10.mga9
+ Revision: 1787405
- rebuild for python-3.10

* Sat Jun 26 2021 tmb <tmb> 2.4-9.mga9
+ Revision: 1733554
- rebuild for python 3.9

* Sat Jun 26 2021 wally <wally> 2.4-8.mga9
+ Revision: 1732383
- Rebuild for python 3.9

* Mon Feb 24 2020 daviddavid <daviddavid> 2.4-7.mga8
+ Revision: 1549735
- fix python shebangs
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Sep 21 2019 daviddavid <daviddavid> 2.4-6.mga8
+ Revision: 1444353
- rebuild for python3.8

* Fri Jan 11 2019 tmb <tmb> 2.4-5.mga7
+ Revision: 1355152
- rebuild for python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 2.4-4.mga7
+ Revision: 1278865
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 2.4-3.mga7
+ Revision: 1135226
- Rebuild for python 3.6

* Sun Sep 25 2016 daviddavid <daviddavid> 2.4-2.mga6
+ Revision: 1056057
- disable testsuite as it fails on BS and autobuild too
- do not use parallel build for testsuite
- use "%%configure2_5x --build=%%{_build}" macro as it is a noarch package

* Tue Apr 05 2016 yochenhsieh <yochenhsieh> 2.4-1.mga6
+ Revision: 998628
- version 2.4 release

* Sat Feb 20 2016 umeabot <umeabot> 2.1-7.mga6
+ Revision: 971082
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 2.1-6.mga6
+ Revision: 889173
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 2.1-5.mga5
+ Revision: 750583
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.1-4.mga5
+ Revision: 680410
- Mageia 5 Mass Rebuild
+ ovitters <ovitters>
- add gobject-introspection BR for typelib auto BR

* Sat May 31 2014 pterjan <pterjan> 2.1-3.mga5
+ Revision: 629677
- Rebuild for new Python

* Sat May 31 2014 pterjan <pterjan> 2.1-2.mga5
+ Revision: 629534
- Rebuild for new Python

* Fri Mar 07 2014 joequant <joequant> 2.1-1.mga5
+ Revision: 600853
- add ibus gir
- add group name
- imported package ibus-cangjie

